com.amazonaws.services.lambda.model

## Class UpdateFunctionConfigurationResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.lambda.model.UpdateFunctionConfigurationResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class UpdateFunctionConfigurationResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

A complex type that describes function metadata.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UpdateFunctionConfigurationResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`UpdateFunctionConfigurationResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getCodeSha256()` It is the SHA256 hash of your function deployment package.
`Long` `getCodeSize()` The size, in bytes, of the function .zip file you uploaded.
`DeadLetterConfig` `getDeadLetterConfig()` The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.
`String` `getDescription()` The user-provided description.
`EnvironmentResponse` `getEnvironment()` The parent object that contains your environment's configuration settings.
`String` `getFunctionArn()` The Amazon Resource Name (ARN) assigned to the function.
`String` `getFunctionName()` The name of the function.
`String` `getHandler()` The function Lambda calls to begin executing your function.
`String` `getKMSKeyArn()` The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables.
`String` `getLastModified()` The time stamp of the last time you updated the function.
`Integer` `getMemorySize()` The memory size, in MB, you configured for the function.
`String` `getRole()` The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources.
`String` `getRuntime()` The runtime environment for the Lambda function.
`Integer` `getTimeout()` The function execution time at which Lambda should terminate the function.
`String` `getVersion()` The version of the Lambda function.
`VpcConfigResponse` `getVpcConfig()` VPC configuration associated with your Lambda function.
`int` `hashCode()`
`void` `setCodeSha256(String codeSha256)` It is the SHA256 hash of your function deployment package.
`void` `setCodeSize(Long codeSize)` The size, in bytes, of the function .zip file you uploaded.
`void` `setDeadLetterConfig(DeadLetterConfig deadLetterConfig)` The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.
`void` `setDescription(String description)` The user-provided description.
`void` `setEnvironment(EnvironmentResponse environment)` The parent object that contains your environment's configuration settings.
`void` `setFunctionArn(String functionArn)` The Amazon Resource Name (ARN) assigned to the function.
`void` `setFunctionName(String functionName)` The name of the function.
`void` `setHandler(String handler)` The function Lambda calls to begin executing your function.
`void` `setKMSKeyArn(String kMSKeyArn)` The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables.
`void` `setLastModified(String lastModified)` The time stamp of the last time you updated the function.
`void` `setMemorySize(Integer memorySize)` The memory size, in MB, you configured for the function.
`void` `setRole(String role)` The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources.
`void` `setRuntime(Runtime runtime)` The runtime environment for the Lambda function.
`void` `setRuntime(String runtime)` The runtime environment for the Lambda function.
`void` `setTimeout(Integer timeout)` The function execution time at which Lambda should terminate the function.
`void` `setVersion(String version)` The version of the Lambda function.
`void` `setVpcConfig(VpcConfigResponse vpcConfig)` VPC configuration associated with your Lambda function.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateFunctionConfigurationResult` `withCodeSha256(String codeSha256)` It is the SHA256 hash of your function deployment package.
`UpdateFunctionConfigurationResult` `withCodeSize(Long codeSize)` The size, in bytes, of the function .zip file you uploaded.
`UpdateFunctionConfigurationResult` `withDeadLetterConfig(DeadLetterConfig deadLetterConfig)` The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.
`UpdateFunctionConfigurationResult` `withDescription(String description)` The user-provided description.
`UpdateFunctionConfigurationResult` `withEnvironment(EnvironmentResponse environment)` The parent object that contains your environment's configuration settings.
`UpdateFunctionConfigurationResult` `withFunctionArn(String functionArn)` The Amazon Resource Name (ARN) assigned to the function.
`UpdateFunctionConfigurationResult` `withFunctionName(String functionName)` The name of the function.
`UpdateFunctionConfigurationResult` `withHandler(String handler)` The function Lambda calls to begin executing your function.
`UpdateFunctionConfigurationResult` `withKMSKeyArn(String kMSKeyArn)` The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables.
`UpdateFunctionConfigurationResult` `withLastModified(String lastModified)` The time stamp of the last time you updated the function.
`UpdateFunctionConfigurationResult` `withMemorySize(Integer memorySize)` The memory size, in MB, you configured for the function.
`UpdateFunctionConfigurationResult` `withRole(String role)` The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources.
`UpdateFunctionConfigurationResult` `withRuntime(Runtime runtime)` The runtime environment for the Lambda function.
`UpdateFunctionConfigurationResult` `withRuntime(String runtime)` The runtime environment for the Lambda function.
`UpdateFunctionConfigurationResult` `withTimeout(Integer timeout)` The function execution time at which Lambda should terminate the function.
`UpdateFunctionConfigurationResult` `withVersion(String version)` The version of the Lambda function.
`UpdateFunctionConfigurationResult` `withVpcConfig(VpcConfigResponse vpcConfig)` VPC configuration associated with your Lambda function.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateFunctionConfigurationResult

    public UpdateFunctionConfigurationResult()

### Method Detail

#### setFunctionName

    public void setFunctionName(String functionName)

The name of the function.

Parameters:
  `functionName` - The name of the function.

#### getFunctionName

    public String getFunctionName()

The name of the function.

Returns:
  The name of the function.

#### withFunctionName

    public UpdateFunctionConfigurationResult withFunctionName(String functionName)

The name of the function.

Parameters:
  `functionName` - The name of the function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFunctionArn

    public void setFunctionArn(String functionArn)

The Amazon Resource Name (ARN) assigned to the function.

Parameters:
  `functionArn` - The Amazon Resource Name (ARN) assigned to the function.

#### getFunctionArn

    public String getFunctionArn()

The Amazon Resource Name (ARN) assigned to the function.

Returns:
  The Amazon Resource Name (ARN) assigned to the function.

#### withFunctionArn

    public UpdateFunctionConfigurationResult withFunctionArn(String functionArn)

The Amazon Resource Name (ARN) assigned to the function.

Parameters:
  `functionArn` - The Amazon Resource Name (ARN) assigned to the function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRuntime

    public void setRuntime(String runtime)

The runtime environment for the Lambda function.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

Parameters:
  `runtime` - The runtime environment for the Lambda function.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

See Also:
  `Runtime`

#### getRuntime

    public String getRuntime()

The runtime environment for the Lambda function.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

Returns:
  The runtime environment for the Lambda function.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

See Also:
  `Runtime`

#### withRuntime

    public UpdateFunctionConfigurationResult withRuntime(String runtime)

The runtime environment for the Lambda function.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

Parameters:
  `runtime` - The runtime environment for the Lambda function.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `Runtime`

#### setRuntime

    public void setRuntime(Runtime runtime)

The runtime environment for the Lambda function.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

Parameters:
  `runtime` - The runtime environment for the Lambda function.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

See Also:
  `Runtime`

#### withRuntime

    public UpdateFunctionConfigurationResult withRuntime(Runtime runtime)

The runtime environment for the Lambda function.

To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

Parameters:
  `runtime` - The runtime environment for the Lambda function.

  To use the Node.js runtime v4.3, set the value to "nodejs4.3". To use earlier runtime (v0.10.42), set the value to "nodejs".

Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `Runtime`

#### setRole

    public void setRole(String role)

The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources.

Parameters:
  `role` - The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources.

#### getRole

    public String getRole()

The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources.

Returns:
  The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources.

#### withRole

    public UpdateFunctionConfigurationResult withRole(String role)

The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources.

Parameters:
  `role` - The Amazon Resource Name (ARN) of the IAM role that Lambda assumes when it executes your function to access any other Amazon Web Services (AWS) resources.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setHandler

    public void setHandler(String handler)

The function Lambda calls to begin executing your function.

Parameters:
  `handler` - The function Lambda calls to begin executing your function.

#### getHandler

    public String getHandler()

The function Lambda calls to begin executing your function.

Returns:
  The function Lambda calls to begin executing your function.

#### withHandler

    public UpdateFunctionConfigurationResult withHandler(String handler)

The function Lambda calls to begin executing your function.

Parameters:
  `handler` - The function Lambda calls to begin executing your function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCodeSize

    public void setCodeSize(Long codeSize)

The size, in bytes, of the function .zip file you uploaded.

Parameters:
  `codeSize` - The size, in bytes, of the function .zip file you uploaded.

#### getCodeSize

    public Long getCodeSize()

The size, in bytes, of the function .zip file you uploaded.

Returns:
  The size, in bytes, of the function .zip file you uploaded.

#### withCodeSize

    public UpdateFunctionConfigurationResult withCodeSize(Long codeSize)

The size, in bytes, of the function .zip file you uploaded.

Parameters:
  `codeSize` - The size, in bytes, of the function .zip file you uploaded.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

The user-provided description.

Parameters:
  `description` - The user-provided description.

#### getDescription

    public String getDescription()

The user-provided description.

Returns:
  The user-provided description.

#### withDescription

    public UpdateFunctionConfigurationResult withDescription(String description)

The user-provided description.

Parameters:
  `description` - The user-provided description.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTimeout

    public void setTimeout(Integer timeout)

The function execution time at which Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

Parameters:
  `timeout` - The function execution time at which Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

#### getTimeout

    public Integer getTimeout()

The function execution time at which Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

Returns:
  The function execution time at which Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

#### withTimeout

    public UpdateFunctionConfigurationResult withTimeout(Integer timeout)

The function execution time at which Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.

Parameters:
  `timeout` - The function execution time at which Lambda should terminate the function. Because the execution time has cost implications, we recommend you set this value based on your expected execution time. The default is 3 seconds.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMemorySize

    public void setMemorySize(Integer memorySize)

The memory size, in MB, you configured for the function. Must be a multiple of 64 MB.

Parameters:
  `memorySize` - The memory size, in MB, you configured for the function. Must be a multiple of 64 MB.

#### getMemorySize

    public Integer getMemorySize()

The memory size, in MB, you configured for the function. Must be a multiple of 64 MB.

Returns:
  The memory size, in MB, you configured for the function. Must be a multiple of 64 MB.

#### withMemorySize

    public UpdateFunctionConfigurationResult withMemorySize(Integer memorySize)

The memory size, in MB, you configured for the function. Must be a multiple of 64 MB.

Parameters:
  `memorySize` - The memory size, in MB, you configured for the function. Must be a multiple of 64 MB.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastModified

    public void setLastModified(String lastModified)

The time stamp of the last time you updated the function.

Parameters:
  `lastModified` - The time stamp of the last time you updated the function.

#### getLastModified

    public String getLastModified()

The time stamp of the last time you updated the function.

Returns:
  The time stamp of the last time you updated the function.

#### withLastModified

    public UpdateFunctionConfigurationResult withLastModified(String lastModified)

The time stamp of the last time you updated the function.

Parameters:
  `lastModified` - The time stamp of the last time you updated the function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCodeSha256

    public void setCodeSha256(String codeSha256)

It is the SHA256 hash of your function deployment package.

Parameters:
  `codeSha256` - It is the SHA256 hash of your function deployment package.

#### getCodeSha256

    public String getCodeSha256()

It is the SHA256 hash of your function deployment package.

Returns:
  It is the SHA256 hash of your function deployment package.

#### withCodeSha256

    public UpdateFunctionConfigurationResult withCodeSha256(String codeSha256)

It is the SHA256 hash of your function deployment package.

Parameters:
  `codeSha256` - It is the SHA256 hash of your function deployment package.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVersion

    public void setVersion(String version)

The version of the Lambda function.

Parameters:
  `version` - The version of the Lambda function.

#### getVersion

    public String getVersion()

The version of the Lambda function.

Returns:
  The version of the Lambda function.

#### withVersion

    public UpdateFunctionConfigurationResult withVersion(String version)

The version of the Lambda function.

Parameters:
  `version` - The version of the Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVpcConfig

    public void setVpcConfig(VpcConfigResponse vpcConfig)

VPC configuration associated with your Lambda function.

Parameters:
  `vpcConfig` - VPC configuration associated with your Lambda function.

#### getVpcConfig

    public VpcConfigResponse getVpcConfig()

VPC configuration associated with your Lambda function.

Returns:
  VPC configuration associated with your Lambda function.

#### withVpcConfig

    public UpdateFunctionConfigurationResult withVpcConfig(VpcConfigResponse vpcConfig)

VPC configuration associated with your Lambda function.

Parameters:
  `vpcConfig` - VPC configuration associated with your Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDeadLetterConfig

    public void setDeadLetterConfig(DeadLetterConfig deadLetterConfig)

The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

Parameters:
  `deadLetterConfig` - The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

#### getDeadLetterConfig

    public DeadLetterConfig getDeadLetterConfig()

The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

Returns:
  The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

#### withDeadLetterConfig

    public UpdateFunctionConfigurationResult withDeadLetterConfig(DeadLetterConfig deadLetterConfig)

The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.

Parameters:
  `deadLetterConfig` - The parent object that contains the target ARN (Amazon Resource Name) of an Amazon SQS queue or Amazon SNS topic.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEnvironment

    public void setEnvironment(EnvironmentResponse environment)

The parent object that contains your environment's configuration settings.

Parameters:
  `environment` - The parent object that contains your environment's configuration settings.

#### getEnvironment

    public EnvironmentResponse getEnvironment()

The parent object that contains your environment's configuration settings.

Returns:
  The parent object that contains your environment's configuration settings.

#### withEnvironment

    public UpdateFunctionConfigurationResult withEnvironment(EnvironmentResponse environment)

The parent object that contains your environment's configuration settings.

Parameters:
  `environment` - The parent object that contains your environment's configuration settings.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setKMSKeyArn

    public void setKMSKeyArn(String kMSKeyArn)

The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If empty, it means you are using the AWS Lambda default service key.

Parameters:
  `kMSKeyArn` - The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If empty, it means you are using the AWS Lambda default service key.

#### getKMSKeyArn

    public String getKMSKeyArn()

The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If empty, it means you are using the AWS Lambda default service key.

Returns:
  The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If empty, it means you are using the AWS Lambda default service key.

#### withKMSKeyArn

    public UpdateFunctionConfigurationResult withKMSKeyArn(String kMSKeyArn)

The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If empty, it means you are using the AWS Lambda default service key.

Parameters:
  `kMSKeyArn` - The Amazon Resource Name (ARN) of the KMS key used to encrypt your function's environment variables. If empty, it means you are using the AWS Lambda default service key.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public UpdateFunctionConfigurationResult clone()

Overrides:
  `clone` in class `Object`